<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class CleanAction extends BaseAction
{
    public function run()
    {
        if (!u('superbm') && !isGM($this->uid()))
        {
            throw new iSystemException('您没有权限清理喇叭内容');
        }

        $this->cache()->remove(md5('BugleRecommend'));
        if (!empty($_GET['back']))
        {
            $back = S::gp('back', 'G');
            iforward($back);
        }

        $message[] = '喇叭清理成功';
        $message[] = '返回'.memberLink().'.'.indexLink();
        $this->showMessage($message);
    }
}
